%define hsc_name ghc
%define hsc_version %ghc_version
%define hsc_namever %hsc_name
%define h_pkg_name alsa-mixer
%define f_pkg_name alsa-mixer
%define pkg_libdir %_libdir/%hsc_name-%hsc_version/lib/%h_pkg_name-%version

Name: %hsc_namever-%f_pkg_name
Version: 0.1.2
Release: alt1.1
License: BSD3
Packager: Denis Smirnov <mithraen@altlinux.ru>
Group: Development/Haskell
URL: ???
Source: %name-%version.tar
Summary: Bindings to the ALSA simple mixer API.
# Automatically added by buildreq on Thu Aug 04 2011 (-bb)
# optimized out: elfutils ghc libgmp-devel pkg-config python-base
BuildRequires: ghc-alex ghc-alsa-core ghc-c2hs ghc-happy ghc-hscolour ghc-prof libalsa-devel rpm-build-haskell

BuildRequires: ghc 
BuildRequires(pre): rpm-build-haskell



%description
This package provides bindings to the ALSA simple mixer API.

%prep
%setup

%build
%hs_configure2
%hs_build

%install
%hs_install
%hs_gen_filelist

cd %buildroot%_datadir/doc/%name-%version
rm -rf doc LICENSE examples

%files -f %name-files.nonprof
%hs_pkgconfdir/%f_pkg_name-%version.conf
%doc dist/doc/html
#%%doc LICENSE examples

%changelog
* Sat Aug 13 2011 Denis Smirnov <mithraen@altlinux.ru> 0.1.2-alt1.1
- rebuild with shared objects support

* Wed Aug 03 2011 Denis Smirnov <mithraen@altlinux.ru> 0.1.2-alt1
- Spec created by cabal2rpm 0.20_08
